# TaskFlow API ## Docs - [Create a project](https://writechoice-8439b44d-mintlify-78019799.mintlify.app/api-reference/create-a-project.md): Creates a new project. The `project_id` returned in the response is required to create tasks. You must create a project before creating any tasks. - [Create a task](https://writechoice-8439b44d-mintlify-78019799.mintlify.app/api-reference/create-a-task.md): Creates a new task inside an existing project. Requires a valid `project_id` obtained from `POST /projects`. Tasks are created with a default status of `pending`. - [Delete a task](https://writechoice-8439b44d-mintlify-78019799.mintlify.app/api-reference/delete-a-task.md): Permanently deletes a task. This action cannot be undone. Requires a valid `task_id` obtained from `POST /tasks`. - [List tasks in a project](https://writechoice-8439b44d-mintlify-78019799.mintlify.app/api-reference/list-tasks-in-a-project.md): Returns all tasks belonging to a specific project. Requires a valid `project_id`. Returns an empty `tasks` array if the project exists but has no tasks yet. - [Update a task](https://writechoice-8439b44d-mintlify-78019799.mintlify.app/api-reference/update-a-task.md): Updates one or more fields of an existing task. You can update the `status`, `title`, or `description`. At least one field must be provided. Valid status values are: `pending`, `in_progress`, `done`. - [Authentication](https://writechoice-8439b44d-mintlify-78019799.mintlify.app/authentication.md): How to authenticate your requests to the TaskFlow API. - [Core Concepts](https://writechoice-8439b44d-mintlify-78019799.mintlify.app/core-concepts.md): Understand the key building blocks of the TaskFlow API. - [Error Handling](https://writechoice-8439b44d-mintlify-78019799.mintlify.app/error-handling.md): Understanding error responses from the TaskFlow API. - [Introduction](https://writechoice-8439b44d-mintlify-78019799.mintlify.app/introduction.md): Welcome to the TaskFlow API documentation. - [Quickstart](https://writechoice-8439b44d-mintlify-78019799.mintlify.app/quickstart.md): Make your first TaskFlow API request in minutes. ## OpenAPI Specs - [openapi](https://writechoice-8439b44d-mintlify-78019799.mintlify.app/openapi.yaml)